import { MapLike, Calculator } from 'cached-expression';
/**
 * This class is useful when `calculate(n)` requires `calculate(n - 1)` (e.g. factorial)
 */
export declare abstract class AdjadentNumberedCalculator<Value> extends Calculator<number, Value> {
    protected createCache(): MapLike<number, Value>;
}
